GWT 2.7.0

## com.google.web.bindery.requestfactory.server
Class RequestFactoryJarExtractor.ClassLoaderLoader

    java.lang.Object
      com.google.web.bindery.requestfactory.server.RequestFactoryJarExtractor.ClassLoaderLoader

All Implemented Interfaces:
  RequestFactoryJarExtractor.Loader

Enclosing class:
  RequestFactoryJarExtractor

    public static class RequestFactoryJarExtractor.ClassLoaderLoader

extends java.lang.Object
implements RequestFactoryJarExtractor.Loader

An implementation of `RequestFactoryJarExtractor.ClassLoaderLoader` that uses a `ClassLoader` to retrieve the class files.

Constructor Summary
`RequestFactoryJarExtractor.ClassLoaderLoader(java.lang.ClassLoader loader)`

Method Summary
`boolean` | `exists(java.lang.String resource)` Returns true if the specified resource can be loaded.
`java.io.InputStream` | `getResourceAsStream(java.lang.String resource)` Returns an InputStream to access the specified resource, or `null` if no such resource exists.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestFactoryJarExtractor.ClassLoaderLoader

    public RequestFactoryJarExtractor.ClassLoaderLoader(java.lang.ClassLoader loader)

Method Detail

### exists

    public boolean exists(java.lang.String resource)

  Description copied from interface: `RequestFactoryJarExtractor.Loader`
  Returns true if the specified resource can be loaded.

  Specified by:
    `exists` in interface `RequestFactoryJarExtractor.Loader`
  Parameters:
    `resource` - a resource name (e.g. `com/example/Foo.class`)

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String resource)

  Description copied from interface: `RequestFactoryJarExtractor.Loader`
  Returns an InputStream to access the specified resource, or `null` if no such resource exists.

  Specified by:
    `getResourceAsStream` in interface `RequestFactoryJarExtractor.Loader`
  Parameters:
    `resource` - a resource name (e.g. `com/example/Foo.class`)

GWT 2.7.0